/* RTL definitions
---------------------------------------- */

/**
* common.css
*/
.rtl h1 {
	margin-right: 0;
	margin-left: 200px;
}

.rtl p.right {
	text-align: left;
}

.rtl p.jumpbox-return {
	float: right;
}

.rtl div.rules ul {
	margin-left: 0;
	margin-right: 20px;
}

/* Main blocks
---------------------------------------- */
.rtl .icon {
	padding-right: 0;
	padding-left: 2px;
}

.rtl .logo {
	float: right;
	padding: 10px 10px 0 13px;
}

/* Site Description
--------------------------------------------- */
.rtl .site-description {
	float: right;
}

.rtl .site-description h1 {
	margin-left: 0;
}

/* Round cornered boxes and backgrounds
---------------------------------------- */
.rtl .post {
	background-position: 0 0;
}

/* Horizontal lists
----------------------------------------*/
.rtl ul.linklist > li {
	float: right;
	margin-right: 0;
	margin-left: 7px;
}

.rtl ul.linklist > li.rightside, .rtl p.rightside, .rtl a.rightside {
	float: left;
	margin-right: 7px;
	margin-left: 0;
	text-align: left;
}

.rtl ul.leftside > li, .rtl ul.rightside > li {
	float: left;
}

.rtl ul.leftside {
	float: right;
	margin-left: 5px;
	margin-right: 0;
	text-align: right;
}

.rtl ul.rightside {
	float: left;
	margin-left: -5px;
	margin-right: 5px;
	text-align: left;
}

/* Bulletin icons for list items
----------------------------------------*/
.rtl ul.linklist.bulletin > li:before {
	padding-left: 4px;
	padding-right: 0;
}

/* Dropdown menu
---------------------------------------- */
.rtl .dropdown-container.topic-tools, .rtl .dropdown-container-left {
	float: right;
}

.rtl .dropdown li {
	text-align: right;
}

.rtl .dropdown-contents > li {
	padding-left: 15px;
	padding-right: 0;
}

.rtl .dropdown-nonscroll > li {
	padding-left: 0;
}

.rtl .dropdown li li {
	padding-left: 0;
	padding-right: 18px;
}

.rtl .dropdown-extended .header {
	text-align: right;
}

.rtl .dropdown-extended .header .header_settings, .rtl .dropdown-container-right {
	float: left;
}

.rtl .jumpbox .dropdown-contents a {
	margin-right: 0;
	margin-left: 20px;
}

/* Notifications
-----------------------------------------*/
.rtl .notification_list ul li img {
	float: right;
	margin-left: 5px;
	margin-right: 0;
}

.rtl .notification_list div.notifications {
	margin-left: 0;
	margin-right: 50px;
}

.rtl .notification_text {
	margin-left: 0;
	margin-right: 58px;
}

.rtl .notification_list p.notification-time {
	text-align: left;
}

/* Responsive breadcrumbs
----------------------------------------*/
.rtl .breadcrumbs .crumb {
	float: right;
}

/* Table styles
----------------------------------------*/
.rtl table.table1 thead th {
	padding: 0 3px 4px 0;
}

.rtl table.table1 thead th span {
	padding-left: 0;
	padding-right: 7px;
}

.rtl table.table1 tbody th {
	text-align: right;
}

/* Specific column styles */
.rtl table.table1 .name		{ text-align: right; }
.rtl table.table1 .joined	{ text-align: right; }
.rtl table.table1 .active	{ text-align: right; }
.rtl table.table1 .info		{ text-align: right; }
.rtl table.table1 thead .autocol { padding-left: 0; padding-right: 1em; }

.rtl table.table1 span.rank-img {
	float: left;
}

.rtl table.info tbody th {
	text-align: left;
}

.rtl .forumbg table.table1 {
	margin: 0 -1px -1px -2px;
}

/* Misc layout styles
---------------------------------------- */
/* column[1-2] styles are containers for two column layouts */
.rtl .column1 {
	float: right;
	clear: right;
}

.rtl .column2 {
	float: left;
	clear: left;
}

/* General classes for placing floating blocks */
.rtl .left-box {
	float: right;
	text-align: right;
}

.rtl .right-box {
	float: left;
	text-align: left;
}

.rtl dl.details dt {
	float: right;
	clear: right;
	text-align: left;
}

.rtl dl.details dd {
	margin-right: 0;
	margin-left: 0;
	padding-right: 5px;
	padding-left: 0;
	float: right;
}

*:first-child+html dl.details dd {
	margin-right: 30%;
	float: none;
}

* html dl.details dd {
	margin-right: 30%;
	float: none;
}

/* Pagination
---------------------------------------- */
.rtl .page-number {
	float: left;
}

.rtl .pagination {
	text-align: left;
	float: left;
}

.rtl .pagination > ul {
	margin-left: 0;
	margin-right: 5px;
}

/* Pagination in viewforum for multipage topics */
.rtl .row .pagination {
	background-position: 100% 50%;
	float: left;
	padding-left: 0;
	padding-right: 15px;
}

.rtl .row .pagination > ul {
	margin: 0;
}

.rtl .pagination span {
	direction: ltr;
}

.pagination li.page-jump {
	margin-left: 5px;
	margin-right: 0;
}

/* Action Bar styles
---------------------------------------- */
.rtl .action-bar .button {
	margin-right: 0;
	float: right;
}

.rtl .action-bar > .button {
	margin-left: 5px;
	float: right;
}

.rtl .action-bar .dropdown-button-control .button {
	margin-left: 5px;
}


/* Miscellaneous styles
---------------------------------------- */
.rtl .quick-links {
	margin-left: 7px;
	margin-right: 0;
}

.rtl .header-avatar span:after {
	float: left;
	padding-left: 0;
	padding-right: 2px;
}

.rtl .member-search {
	float: right;
}

/**
* links.css
*/

/* Links adjustment to correctly display an order of rtl/ltr mixed content */
.rtl a {
	direction: rtl;
	unicode-bidi: embed;
}

li.breadcrumbs span:first-child > a {
	padding-left: 0;
}

/* Notification mark read link */
.rtl .dropdown-extended a.mark_read {
	border-radius: 0 3px 3px 0;
	left: 0;
	right: auto;
}

.rtl .back2top .top {
	float: left;
	margin-left: -10px;
}

.rtl .skiplink {
	/* invisible skip link, used for accessibility  */
	left: 0;
	right: -999px;
}

.rtl a.feed-icon-forum {
	float: left;
}

/**
* content.css
*/
.rtl ul.topiclist dt, .rtl li.header dt {
	float: right;
	margin-right: 0;
	margin-left: -440px;
}

.rtl ul.topiclist.missing-column dt {
	margin-right: 0;
	margin-left: -345px;
}

.rtl ul.topiclist.two-long-columns dt {
	margin-right: 0;
	margin-left: -250px;
}

.rtl ul.topiclist.two-columns dt {
	margin-right: 0;
	margin-left: -80px;
}

.rtl ul.topiclist dt .list-inner {
	margin-right: 0;
	margin-left: 440px;
}

.rtl ul.topiclist.missing-column dt .list-inner {
	margin-right: 0;
	margin-left: 330px;
}

.rtl ul.topiclist.two-long-columns dt .list-inner {
	margin-right: 0;
	margin-left: 250px;
}

.rtl ul.topiclist.two-columns dt .list-inner {
	margin-right: 0;
	margin-left: 80px;
}

.rtl ul.topiclist dd {
	float: right;
	border-right-width: 1px;
	border-right-style: solid;
	border-left: none;
}

.rtl ul.topiclist dfn {
	left: auto;
	right: -999px;
}

.rtl ul.topiclist li.row dt a.subforum {
	padding-right: 12px;
	background-position: right;
	position: static;
}

.rtl .forum-image {
	float: right;
	margin-right: 0;
	margin-left: 5px;
}

.rtl li.header dt, .rtl li.header dd {
	border-right-width: 0;
}

.rtl li.header dd {
	padding-left: 0;
	padding-right: 1px;
}

.rtl dl.row-item{
	background-position: 99.5% 50%;
}

.rtl li.header dl.row-item dt .list-inner {
	/* Tweak for headers alignment when folder icon used */
	padding-right: 0;
	padding-left: 50px;
}

.rtl dl.row-item dt {
	background-position: 99.5% 95%;			/* Position of topic icon */
}

.rtl dl.row-item dt .list-inner {
	padding-left: 5px;
	padding-right: 45px;					/* Space for folder icon */
}

.rtl dl a.row-item-link {						/* topic row icon links */
	display: inline-block;
	left: auto;
	right: 0;
	margin-left: 0;
	margin-right: 2px;
}

.rtl dd.lastpost > span, .rtl ul.topiclist dd.info > span, .rtl ul.topiclist dd.time > span, .rtl dd.redirect > span, .rtl dd.moderation > span {
	padding-left: 0;
	padding-right: 5px;
}

/* Post body styles
----------------------------------------*/
.rtl .date {
	float: left;
}

.rtl .postbody, .rtl .postbody h3 {
	float: right;
}

.rtl .has-profile .postbody h3 {
	margin-right: 0;
	margin-left: 180px;
}

.rtl p.post-notice {
	padding-left: 5px;
}

.rtl p.post-notice:before {
	left: auto;
	right: 0;
}

/* Topic review panel
----------------------------------------*/
.rtl .topicreview {
	padding-right: 0;
	padding-left: 5px;
}

/* Content container styles
----------------------------------------*/
.rtl .content ul, .rtl .content ol {
	margin-right: 3em;
	margin-left: 0;
}

.rtl .signature {
	clear: right;
}

.rtl .notice {
	clear: right;
}

/* Jump to post link for now */
.rtl ul.searchresults {
	text-align: left;
}

/* BB Code styles
----------------------------------------*/
/* Quote block */
.rtl blockquote {
	margin: 0.5em 25px 0 1px;
}

.rtl blockquote blockquote {
	/* Nested quotes */
	margin: 0.5em 15px 0 1px;
}

.rtl blockquote cite {
	/* Username/source of quoter */
	margin-left: 0;
}

.rtl blockquote cite:before, .rtl .uncited:before {
	padding-left: 5px;
}

.rtl blockquote .codebox {
	margin-right: 0;
}

.rtl code {
	direction: ltr;
}

/* Attachments
----------------------------------------*/
.rtl .attachbox {
	float: right;
	margin: 5px 0 5px 5px;
	clear: right;
}

.rtl .attachbox dd {
	clear: right;
}

.rtl .attachbox p {
	clear: right;
}

.rtl .attachbox p.stats {
	clear: right;
}

/* Post poll styles
----------------------------------------*/
.rtl fieldset.polls dt {
	text-align: right;
	float: right;
	border-left: none;
}

.rtl fieldset.polls dd {
	float: right;
	border-right: none;
	margin-right: 0;
}

.rtl fieldset.polls dd div {
	text-align: left;
}

.rtl .pollbar1, .rtl .pollbar2, .rtl .pollbar3, .rtl .pollbar4, .rtl .pollbar5 {
	border-left-width: 1px;
	border-left-style: solid;
	border-right: none;
}

/* Poster profile block
----------------------------------------*/
.rtl .postprofile {
	border-width: 0 1px 0 0;
	float: left;
}

.rtl .pm .postprofile {
	border-right-width: 1px;
	border-right-style: solid;
	border-left: none;
}

.rtl .postprofile dd, .rtl .postprofile dt {
	margin-left: 0;
	margin-right: 8px;
}

.rtl .postprofile .avatar {
	float: right;
}

.rtl .online {
	background-position: 0 0;
}

.rtl dl.pmlist dd {
	margin-right: 61% !important;
	margin-left: 0 !important;
}

/**
* buttons.css
*/

.rtl .caret {
	border-right: 1px solid;
	border-right-color: inherit;
	border-left: none;
	right: 6px;
}

/* Post control buttons
--------------------------------------------- */
.rtl .post-buttons {
	float: left;
}

.rtl .has-profile .post-buttons {
	left: 0;
	right: auto;
}

.rtl .post-buttons li {
	float: right;
}

/* Poster contact icons
 ----------------------------------------*/
.rtl .contact-icons a {
	border-left-width: 1px;
	border-left-style: dotted;
	border-right: none;
	float: right;
}

.rtl .contact-icons .last-cell {
	border-left: none;
}

/**
* cp.css
*/
/* Control Panel Styles
---------------------------------------- */


/* Main CP box
----------------------------------------*/
.rtl .cp-menu {
	float: right;
}

.rtl .cp-main {
	float: right;
}

.rtl .cp-main .panel ol {
	margin-right: 2em;
	margin-left: 0;
}

.rtl .cp-main .buttons {
	margin-right: 0;
	margin-left: 0;
}

.tabs-container h2 {
	float: right;
}

/* CP tabbed menu
----------------------------------------*/
.rtl .tabs {
	margin-left: 0;
	margin-right: 7px;
}

.rtl .tabs .tab {
	float: right;
}

.rtl .tabs .tab > a {
	margin-left: 1px;
	margin-right: 0;
}

/* Mini tabbed menu used in MCP
----------------------------------------*/
.rtl .minitabs {
	float: left;
	margin-right: 0;
	margin-left: 7px;
}

.rtl .minitabs .tab {
	float: left;
}

.rtl .minitabs .tab > a {
	margin-right: 2px;
	margin-left: 0;
}

/* Responsive tabs
----------------------------------------*/
.rtl .tabs .dropdown {
	margin-left: -2px;
}

.rtl .tabs .dropdown li {
	text-align: left;
}

.rtl .minitabs .dropdown {
	margin-left: -4px;
}

.rtl .minitabs .dropdown li {
	text-align: right;
}

/* Responsive *CP navigation
----------------------------------------*/
@media only screen and (max-width: 900px), only screen and (max-device-width: 900px)
{
	.rtl .cp-menu, .rtl .navigation, .rtl .cp-main {
		float: none;
	}
}

/* UCP navigation menu
----------------------------------------*/

/* Preferences pane layout
----------------------------------------*/
.rtl .cp-main h2 {
	margin-left: 0;
	margin-right: 10px;
}

/* Friends list */
.rtl .cp-mini {
	margin: 10px 5px 10px 15px;
}

/* PM Styles
----------------------------------------*/

/* PM panel adjustments */
.rtl .reply-all a.right {
	background-position: 5% 60%;
}

.rtl .reply-all a.right:hover {
	background-position: 3% 60%;
}

.rtl .reply-all {
	padding-left: 5px;
}

/* Defined rules list for PM options */
.rtl ol.def-rules {
	padding-right: 0;
}

/* PM marking colours */
.rtl .pm-legend {
	border-right-width: 10px;
	border-right-style: solid;
	border-left-width: 0;
	padding-left: 0;
	padding-right: 3px;
}

/* Avatar gallery */
.rtl .gallery label {
	float: right;
}

/* Responsive *CP navigation
----------------------------------------*/
@media only screen and (max-width: 900px), only screen and (max-device-width: 900px)
{
	.rtl .cp-menu, .rtl .navigation, .rtl .cp-main {
		float: none;
	}
}

/**
* forms.css
*/

/* General form styles
----------------------------------------*/

.rtl option {
	padding-right: 0;
	padding-left: 1em;
}

.rtl label {
	padding-right: 0;
	padding-left: 5px;
}

/* Definition list layout for forms
---------------------------------------- */
.rtl fieldset dt {
	float: right;
	text-align: right;
}

.rtl fieldset dd {
	margin-left: 0;
	margin-right: 41%;
}

/* Specific layout 1 */
.rtl fieldset.fields1 dt {
	border-left-width: 0;
	border-right-width: 1px;
}

.rtl fieldset.fields1 dd {
	margin-right: 15em;
	margin-left: 0;
	border-right-width: 0;
	border-left-width: 1px;
}

/* Specific layout 2 */
.rtl fieldset.fields2 dt {
	border-right-width: 1px;
	border-left-width: 0;
}

.rtl fieldset.fields2 dd {
	margin-right: 16em;
	margin-left: 0;
	border-left-width: 1px;
	border-right-width: 0;
}

/* Form elements */
.rtl dt label {
	text-align: right;
}

.rtl dd input, .rtl dd textarea {
	margin-left: 3px;
	margin-right: 0;
}

/* Quick-login on index page */
.rtl fieldset.quick-login input.inputbox {
	margin-left: 5px;
	margin-right: 0;
}

.rtl fieldset.quick-login label {
	padding-left: 2px;
	padding-right: 0;
}

/* Display options on viewtopic/viewforum pages  */
.rtl fieldset.display-options label {
	padding-left: 2px;
	padding-right: 0;
}

.rtl .dropdown fieldset.display-options label {
	text-align: left;
}

/* Display actions for ucp and mcp pages */
.rtl fieldset.display-actions {
	text-align: left;
	padding-left: 1em;
	padding-right: 0;
}

.rtl fieldset.display-actions label {
	padding-left: 2px;
	padding-right: 0;
}

/* MCP forum selection*/
.rtl fieldset.forum-selection {
	float: left;
}

.rtl fieldset.forum-selection2 {
	float: left;
}

/* Posting page styles
----------------------------------------*/

/* Emoticons panel */
.rtl .smiley-box {
	float: left;
}

/* Search box
---------------------------------------- */

/* Topic and forum Search */
.rtl .search-box {
	float: right;
}

.rtl .search-box .inputbox {
	border-left-width: 0;
	border-right-width: 1px;
	border-radius: 0 4px 4px 0;
	float: right;
	padding: 3px;
}

.rtl .button-search,
.button-search-end {
	float: right;
}

.rtl .button-search-end {
	border-radius: 4px 0 0 4px;
	border-left-width: 1px;
	border-right-width: 0;
}

.rtl .search-header .button-search-end {
	border: 0;
	border-radius: 4px 0 0 4px;
}

.rtl .search-header {
	float: left;
	margin-right: 0;
	margin-left: 5px;
}

/* Form button styles
---------------------------------------- */

/** Reference: Bug #27155 */
.rtl .wrap, .rtl .headerbar, .rtl .site-description, .rtl .navbar {
	position: relative;
}

/**
* plupload.css
*/

.rtl .attach-controls {
	float: left;
}

/**
* responsive.css
*/
@media only screen and (max-width: 700px), only screen and (max-device-width: 700px)
{
	/* .topiclist lists
	----------------------------------------*/
	.rtl ul.topiclist li.header dt, .rtl ul.topiclist li.header dt .list-inner {
		margin-left: 0 !important;
		padding-left: 0;
	}

	.rtl ul.topiclist dt, .rtl ul.topiclist dt .list-inner,
	.rtl ul.topiclist.missing-column dt, .rtl ul.topiclist.missing-column dt .list-inner,
	.rtl ul.topiclist.two-long-columns dt, .rtl ul.topiclist.two-long-columns dt .list-inner,
	.rtl ul.topiclist.two-columns dt, .rtl ul.topiclist.two-columns dt .list-inner {
		margin-left: 0;
	}

	.rtl ul.topiclist dt .list-inner.with-mark {
		padding-left: 34px;
	}

	/* Forums and topics lists
	----------------------------------------*/
	.rtl ul.topiclist.forums dt {
		margin-left: -250px;
	}
	.rtl ul.topiclist.forums dt .list-inner {
		margin-left: 250px;
	}

	.rtl ul.topiclist dd.mark {
		left: 5px;
		right: auto;
		text-align: right;
	}

	.rtl table.responsive.show-header thead, .rtl table.responsive.show-header th:first-child {
		text-align: right !important;
	}

	.rtl table.responsive td {
		text-align: right !important;
	}

	/* User profile
	----------------------------------------*/
	.rtl .column1, .rtl .column2, .rtl .left-box.profile-details {
		float: none;
	}

	/* Post
	----------------------------------------*/
	.rtl .postprofile, .rtl .postbody, .rtl .search .postbody {
		float: none;
	}

	.rtl .post .postprofile {
		border-width: 0 0 1px 0;
	}

	.rtl .postprofile dt, .rtl .postprofile dd.profile-rank, .rtl .search .postprofile dd {
		margin: 0;
	}

	.rtl .postprofile .avatar {
		margin-left: 5px;
		margin-right: 0;
	}

	.rtl .has-profile .post-buttons {
		left: 20px;
	}

	/* Forms
	----------------------------------------*/
	.rtl fieldset dt, .rtl fieldset.fields1 dt, .rtl fieldset.fields2 dt {
		float: none;
	}

	.rtl fieldset dd, .rtl fieldset.fields1 dd, .rtl fieldset.fields2 dd {
		margin-right: 20px;
	}
}

@media only screen and (max-width: 550px), only screen and (max-device-width: 550px)
{
	/* .topiclist lists
	----------------------------------------*/
	.rtl ul.topiclist.forums dt {
		margin-left: 0;
	}

	.rtl ul.topiclist.forums dt .list-inner {
		margin-left: 0;
	}
}

@media only screen and (max-width: 500px), only screen and (max-device-width: 500px)
{
	.rtl dl.details dt, .rtl dl.details dd {
		float: none;
		text-align: right;
	}

	.rtl dl.details dd {
		margin-left: 0;
		margin-right: 20px;
	}

	.captcha-panel dd.captcha {
		margin-right: 0;
	}

	.rtl p.responsive-center {
		float: none;
		text-align: center;
		margin-bottom: 5px;
	}
}

@media (min-width: 701px) {
	.rtl .postbody {
		margin-right: 0;
		margin-left: 16px;
	}
}